# Class Arg

java.lang.Object
org.apache.catalina.ant.jmx.Arg

public class Arg extends Object
Represents a single argument for JMX operations.

## Constructor Summary

Constructors
Constructor
Description
`Arg()`
Constructs a new Arg.

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Returns the argument type.
`String`
`getValue()`
Returns the argument value.
`void`
`setType(String type)`
Sets the argument type.
`void`
`setValue(String value)`
Sets the argument value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Arg

public Arg()
Constructs a new Arg.

## Method Details

### setType

public void setType(String type)
Sets the argument type.

Parameters:
  `type` - the argument type

### setValue

public void setValue(String value)
Sets the argument value.

Parameters:
  `value` - the argument value

### getValue

public String getValue()
Returns the argument value.

Returns:
  the argument value

### getType

public String getType()
Returns the argument type.

Returns:
  the argument type